<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: AccessoryStepper Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryStepper.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classAccessoryStepper-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AccessoryStepper Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="AccessoryStepper_8hpp_source.html">AccessoryStepper.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for AccessoryStepper:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classAccessoryStepper.png" usemap="#AccessoryStepper_map" alt=""/>
  <map id="AccessoryStepper_map" name="AccessoryStepper_map">
<area href="classAccessory.html" alt="Accessory" shape="rect" coords="0,0,117,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6a9c8ee91bfe04900699166b096af1d3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#a6a9c8ee91bfe04900699166b096af1d3">AccessoryStepper</a> ()</td></tr>
<tr class="separator:a6a9c8ee91bfe04900699166b096af1d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b735ebc78570e8ac043fcf84e7fafc1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#a7b735ebc78570e8ac043fcf84e7fafc1">CanBePositional</a> () const </td></tr>
<tr class="separator:a7b735ebc78570e8ac043fcf84e7fafc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa99bcbba9b5ce7e38d8ce196f88d081"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#afa99bcbba9b5ce7e38d8ce196f88d081">begin</a> (<a class="el" href="classPort.html">Port</a> *inpPort, int inStepsNumber, int inReduction, unsigned int inSpeed = 0, int inMovingPositionsNumber = 1)</td></tr>
<tr class="separator:afa99bcbba9b5ce7e38d8ce196f88d081"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0188ee79f43dcda4edce3fc16ee14bd6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#a0188ee79f43dcda4edce3fc16ee14bd6">Event</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONINDEX, int inData = 0)</td></tr>
<tr class="separator:a0188ee79f43dcda4edce3fc16ee14bd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7fe456f7a243c125a37d3e81b36b502"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#af7fe456f7a243c125a37d3e81b36b502">StartCalibration</a> ()</td></tr>
<tr class="separator:af7fe456f7a243c125a37d3e81b36b502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3313ea84bcb8a32ffa0e63fc6f5b0ac0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#a3313ea84bcb8a32ffa0e63fc6f5b0ac0">EndCalibration</a> ()</td></tr>
<tr class="separator:a3313ea84bcb8a32ffa0e63fc6f5b0ac0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4eee80dabc04e8cf26c543f095fe8ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#af4eee80dabc04e8cf26c543f095fe8ea">MovePosition</a> (int inAbsolutePosition)</td></tr>
<tr class="separator:af4eee80dabc04e8cf26c543f095fe8ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fd15eac24ec35a7b550944ac2c317a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#a4fd15eac24ec35a7b550944ac2c317a4">MoveRelativePosition</a> (int inRelativePosition)</td></tr>
<tr class="separator:a4fd15eac24ec35a7b550944ac2c317a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83a36fe89064e4d5dc5e48b6e4c2d110"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#a83a36fe89064e4d5dc5e48b6e4c2d110">Move</a> (unsigned long inId)</td></tr>
<tr class="separator:a83a36fe89064e4d5dc5e48b6e4c2d110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49efaf88d8d2e260ca406b4c9aedb3ca"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryStepper.html#a49efaf88d8d2e260ca406b4c9aedb3ca">MoveToggle</a> ()</td></tr>
<tr class="separator:a49efaf88d8d2e260ca406b4c9aedb3ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a64e6260a68ac84d94394a2076746f98a">Accessory</a> ()</td></tr>
<tr class="separator:a64e6260a68ac84d94394a2076746f98a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af94464d9b49e5700d3c20d0cd206ac51">begin</a> (ACC_STATE inStartingState = STATE_NONE)</td></tr>
<tr class="separator:af94464d9b49e5700d3c20d0cd206ac51 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">GetPort</a> () const </td></tr>
<tr class="separator:ac2883977d969dcde8f078934b4a9ed12 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">GetState</a> () const </td></tr>
<tr class="separator:a6b837b3afb75f5eadcde5e1742db5c7d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae26158a4fc16855e72706b317c40f9e8">GetPreviousState</a> () const </td></tr>
<tr class="separator:ae26158a4fc16855e72706b317c40f9e8 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a69732e492455231abb564627cf66be7c">IsNone</a> () const </td></tr>
<tr class="separator:a69732e492455231abb564627cf66be7c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a05332408472b083ff1368172b79946be">IsFirst</a> () const </td></tr>
<tr class="separator:a05332408472b083ff1368172b79946be inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aecdd43db80db0467109219f68d5fb7e4">IsSecond</a> () const </td></tr>
<tr class="separator:aecdd43db80db0467109219f68d5fb7e4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a57d1cb4de69eb625fc2bb82788591a22">AddMovingPosition</a> (unsigned long inId, int inPosition)</td></tr>
<tr class="separator:a57d1cb4de69eb625fc2bb82788591a22 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">GetDebounceDelay</a> () const </td></tr>
<tr class="separator:ac818b7112183d3d65ec361c8402f927f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a933cd0907dc257b1f1047c33d41ceb2a">GetLastMoveTime</a> () const </td></tr>
<tr class="separator:a933cd0907dc257b1f1047c33d41ceb2a inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">GetDuration</a> () const </td></tr>
<tr class="separator:a8cfe1c1ca32753832146656755f6e7a7 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5891e60944d8542a8bd1eb8862e5010e">loop</a> ()</td></tr>
<tr class="separator:a5891e60944d8542a8bd1eb8862e5010e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49f289549f486e8307ec06123939ca40 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a49f289549f486e8307ec06123939ca40">EEPROMSave</a> (int inPos, bool inSimulate = false)</td></tr>
<tr class="separator:a49f289549f486e8307ec06123939ca40 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a245ad3bad4fa0f1d657fdc20b2edb868 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a245ad3bad4fa0f1d657fdc20b2edb868">EEPROMLoad</a> (int inPos)</td></tr>
<tr class="separator:a245ad3bad4fa0f1d657fdc20b2edb868 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#acd67b5953eb1b55a52a87a779574e3b6">AdjustMovingPositionsSize</a> (uint8_t inNewSize)</td></tr>
<tr class="separator:acd67b5953eb1b55a52a87a779574e3b6 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac89f301db7c889f32aa8ab5534592975">IsEmpty</a> () const </td></tr>
<tr class="separator:ac89f301db7c889f32aa8ab5534592975 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a224977dffaa54df56def6a7b15af0031">IndexOfMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:a224977dffaa54df56def6a7b15af0031 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">GetMovingPosition</a> (unsigned long inId) const </td></tr>
<tr class="separator:aa249535a3c36291764e38ab1e4ae4cee inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">GetMovingPositionByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a62eee418f630f805d36f6005e0db1a9e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">GetMovingPositionIdByIndex</a> (int inIndex) const </td></tr>
<tr class="separator:a4f0410f39fa692494b51bc880714bdd1 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a292f4e066803d0f6f32a953216443c9d">GetLastMovingPosition</a> () const </td></tr>
<tr class="separator:a292f4e066803d0f6f32a953216443c9d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">const uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">GetMovingPositionSize</a> () const </td></tr>
<tr class="separator:ac4dc998e8f09ac7f94a3e06c56e8d5d4 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a5e837b6c4251c2fe69066d3146dd8478">SetLastMovingPosition</a> (uint8_t inLastPositionIndex)</td></tr>
<tr class="separator:a5e837b6c4251c2fe69066d3146dd8478 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a83da11bad71b628431ac86cc1cbaf60c">SetDebounceDelay</a> (unsigned int inDebounceDelay)</td></tr>
<tr class="separator:a83da11bad71b628431ac86cc1cbaf60c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af4a38203fce08f72755835ff126bddb0">SetLastMoveTime</a> ()</td></tr>
<tr class="separator:af4a38203fce08f72755835ff126bddb0 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6e68b4693371383dfb026869af30d1d2">SetDuration</a> (unsigned long inDuration)</td></tr>
<tr class="separator:a6e68b4693371383dfb026869af30d1d2 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a1d8deba14ebc355146c2ff26b4e4669c">SetNextAccessory</a> (Accessory *inAccessory)</td></tr>
<tr class="separator:a1d8deba14ebc355146c2ff26b4e4669c inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aa27a04b9e2a95729e491598cb34c6e47">GetNextAccessory</a> () const </td></tr>
<tr class="separator:aa27a04b9e2a95729e491598cb34c6e47 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">GetActionStartingMillis</a> () const </td></tr>
<tr class="separator:a8a9a9e26544b859289f125dd075cf52e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1dad31ee3bcac4b1baf9a140c7fa57d inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ab1dad31ee3bcac4b1baf9a140c7fa57d">StartAction</a> ()</td></tr>
<tr class="separator:ab1dad31ee3bcac4b1baf9a140c7fa57d inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a9a3c9f8604297fcb55141a720169fd90">StartAction</a> (ACC_STATE inState)</td></tr>
<tr class="separator:a9a3c9f8604297fcb55141a720169fd90 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3de65543a892b3418df72f54439605cb inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a3de65543a892b3418df72f54439605cb">ResetAction</a> ()</td></tr>
<tr class="separator:a3de65543a892b3418df72f54439605cb inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae8c3ad3e37a2ba5914f419abd3e2426f">IsActionDelayPending</a> () const </td></tr>
<tr class="separator:ae8c3ad3e37a2ba5914f419abd3e2426f inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#aef81e617d15f62090ccce7eee4f0d3c3">IsGroupActionPending</a> () const </td></tr>
<tr class="separator:aef81e617d15f62090ccce7eee4f0d3c3 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a408602468720dbf84c1e3d27cc0385da inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a408602468720dbf84c1e3d27cc0385da">SetState</a> (ACC_STATE inNewState)</td></tr>
<tr class="separator:a408602468720dbf84c1e3d27cc0385da inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a60e5e9122c96773c975fe9d2c2db6520">SetStateRaw</a> (ACC_STATE inNewState)</td></tr>
<tr class="separator:a60e5e9122c96773c975fe9d2c2db6520 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ac5208f338b6ea9a5b5fd554c4e1ec60e">SetStartingMillis</a> ()</td></tr>
<tr class="separator:ac5208f338b6ea9a5b5fd554c4e1ec60e inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a882c7616f0433475d65e1ac5e8ecf616">ResetStartingMillis</a> ()</td></tr>
<tr class="separator:a882c7616f0433475d65e1ac5e8ecf616 inherit pub_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classAccessory')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a6cf36c65d1519eb7e5a6aac1cba7fe51">ExecuteEvent</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:a6cf36c65d1519eb7e5a6aac1cba7fe51 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#af8b0920b2a419e278fbc79e3fcc75f86">GetCount</a> ()</td></tr>
<tr class="separator:af8b0920b2a419e278fbc79e3fcc75f86 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae4efeb5b525027d5ccb692f0560a3474">IsActionPending</a> ()</td></tr>
<tr class="separator:ae4efeb5b525027d5ccb692f0560a3474 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memItemLeft" align="right" valign="top">static Accessory *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ab89d2b99293b24e6ccc38938384563f2">GetFirstAccessory</a> ()</td></tr>
<tr class="separator:ab89d2b99293b24e6ccc38938384563f2 inherit pub_static_methods_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classAccessory"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classAccessory')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classAccessory.html">Accessory</a></td></tr>
<tr class="memitem:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classPort.html">Port</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#ae1ebffdf3fe753e3c5e7d05c2a61fd18">pPort</a></td></tr>
<tr class="separator:ae1ebffdf3fe753e3c5e7d05c2a61fd18 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memItemLeft" align="right" valign="top">ACC_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessory.html#a7079494cf9cb5130e5b3a5762e04e947">prevState</a></td></tr>
<tr class="separator:a7079494cf9cb5130e5b3a5762e04e947 inherit pro_attribs_classAccessory"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a stepper motor powered by a port. See <a href="http://www.tigoe.net/pcomp/code/circuits/motors/stepper-motors/">http://www.tigoe.net/pcomp/code/circuits/motors/stepper-motors/</a> to explanations about the stepper motors. This class can handle two or four coils motors, by using two or four pins and activate them in the right order. Every stepper motor can differ from a brand/model to another one with the order of activations to apply (the sequence), so this can be defined manually by the user for the <a class="el" href="classPortStepper.html">PortStepper</a> of this <a class="el" href="classAccessory.html">Accessory</a>.</p>
<p>By construction, this kind of motor can only move with relative values. This class maintains a current position and is able to move this motor in absolute mode. To continue with construction facts, a stepper motor can have a tolerance for the movements. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8hpp_source.html#l00023">23</a> of file <a class="el" href="AccessoryStepper_8hpp_source.html">AccessoryStepper.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a6a9c8ee91bfe04900699166b096af1d3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">AccessoryStepper::AccessoryStepper </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8cpp_source.html#l00013">13</a> of file <a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="afa99bcbba9b5ce7e38d8ce196f88d081"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryStepper::begin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classPort.html">Port</a> *&#160;</td>
          <td class="paramname"><em>inpPort</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inStepsNumber</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inReduction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>inSpeed</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inMovingPositionsNumber</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inpPort</td><td><a class="el" href="classPort.html">Port</a> driven this motor. </td></tr>
    <tr><td class="paramname">inStepsNumber</td><td>Number of steps for a complete rotation of the axis. You can find it in the motor's datasheet. </td></tr>
    <tr><td class="paramname">inReduction</td><td>reduction between the motorized axis and the output axis. You can find it in the motor's datasheet. </td></tr>
    <tr><td class="paramname">inSpeed</td><td>Speed to control power to the motor. Default is 0. </td></tr>
    <tr><td class="paramname">inMovingPositionsNumber</td><td>Number of steps for one movement. Default is 1 step. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8cpp_source.html#l00018">18</a> of file <a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a7b735ebc78570e8ac043fcf84e7fafc1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryStepper::CanBePositional </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Checks if the accessory can be moved by an absolute value instead of a fix position. </p><dl class="section return"><dt>Returns</dt><dd>true if the accessory can be moved with move() function using an absolute value. </dd></dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a212359e11100e5ee9af5bd94a64d8823">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8hpp_source.html#l00038">38</a> of file <a class="el" href="AccessoryStepper_8hpp_source.html">AccessoryStepper.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a3313ea84bcb8a32ffa0e63fc6f5b0ac0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryStepper::EndCalibration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Not yet implemented. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8hpp_source.html#l00060">60</a> of file <a class="el" href="AccessoryStepper_8hpp_source.html">AccessoryStepper.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a0188ee79f43dcda4edce3fc16ee14bd6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryStepper::Event </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONINDEX</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Execute a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a6f4a8cacc38e0bac6e83ed5a136073e0">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8cpp_source.html#l00095">95</a> of file <a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a83a36fe89064e4d5dc5e48b6e4c2d110"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryStepper::Move </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Basic moving function. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inId</td><td>new position id from <a class="el" href="structMovingPosition.html">MovingPosition</a> to reach. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classAccessory.html#a2ab6995aadf87dd3f7edf1d2f448ab85">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8cpp_source.html#l00052">52</a> of file <a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="af4eee80dabc04e8cf26c543f095fe8ea"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryStepper::MovePosition </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inAbsolutePosition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><a class="el" href="classAccessoryStepper.html#a83a36fe89064e4d5dc5e48b6e4c2d110">Move</a> to the given absolute value.. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inAbsolutePosition</td><td>new position to reach. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classAccessory.html#a3662f43014a6ec1f8719a687fe5c33ba">Accessory</a>.</p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8cpp_source.html#l00068">68</a> of file <a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a4fd15eac24ec35a7b550944ac2c317a4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryStepper::MoveRelativePosition </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inRelativePosition</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="classAccessoryStepper.html#a83a36fe89064e4d5dc5e48b6e4c2d110">Move</a> of the given value. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">inRelativePosition</td><td>movement to do. Can be positive or negative. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8cpp_source.html#l00081">81</a> of file <a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a49efaf88d8d2e260ca406b4c9aedb3ca"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ACC_STATE AccessoryStepper::MoveToggle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><a class="el" href="classAccessoryStepper.html#a83a36fe89064e4d5dc5e48b6e4c2d110">Move</a> to the next <a class="el" href="structMovingPosition.html">MovingPosition</a>. </p><dl class="section return"><dt>Returns</dt><dd>returns the new state. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8cpp_source.html#l00032">32</a> of file <a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="af7fe456f7a243c125a37d3e81b36b502"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryStepper::StartCalibration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Not yet implemented. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryStepper_8hpp_source.html#l00058">58</a> of file <a class="el" href="AccessoryStepper_8hpp_source.html">AccessoryStepper.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryStepper_8hpp_source.html">AccessoryStepper.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryStepper_8cpp_source.html">AccessoryStepper.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAccessoryStepper.html">AccessoryStepper</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
